> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 火山格式查询视频任务

> 接口说明：查询火山格式视频生成任务状态，返回结构保持火山任务查询格式。参考火山官方文档：[查询视频生成任务](https://www.volcengine.com/docs/82379/1521309?lang=zh)。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /v3/contents/generations/tasks/{taskId}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
paths:
  /v3/contents/generations/tasks/{taskId}:
    get:
      tags:
        - AI 服务/视频生成
      summary: 火山格式查询视频任务
      description: >-
        接口说明：查询火山格式视频生成任务状态，返回结构保持火山任务查询格式。参考火山官方文档：[查询视频生成任务](https://www.volcengine.com/docs/82379/1521309?lang=zh)。
      operationId: VolcengineVideoController_videoTaskStatus
      parameters:
        - name: taskId
          in: path
          required: true
          description: 任务 ID，由火山格式创建视频生成任务接口返回。
          schema:
            type: string
      responses:
        '200':
          description: 火山格式原生响应，不使用 AiToEarn 通用响应包裹。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolcengineTaskStatusResponseVo'
              examples:
                success:
                  summary: 成功
                  value:
                    id: 6a461da66fe8a12d33daabdd
                    model: doubao-seedance-2-0-260128
                    status: succeeded
                    error: null
                    created_at: 1782980006
                    updated_at: 1782980484
                    content:
                      video_url: >-
                        https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/example/video.mp4
                      last_frame_url: https://assets.aitoearn.ai/example/last-frame.png
                    seed: 9190
                    resolution: 720p
                    ratio: '16:9'
                    duration: 8
                    framespersecond: 24
                    generate_audio: true
                    tools:
                      - type: web_search
                    safety_identifier: user:01JQ8W2M4Y6N7P8R9S0T1U2V3W
                    priority: 0
                    execution_expires_after: 172800
                    usage:
                      completion_tokens: 411300
                      total_tokens: 411300
                      tool_usage:
                        web_search: 1
      security:
        - apikey-header-Authorization: []
components:
  schemas:
    VolcengineTaskStatusResponseVo:
      type: object
      properties:
        id:
          description: 任务ID
          type: string
        model:
          type: string
          description: 模型名称
        status:
          type: string
          description: 任务状态
        error:
          description: 错误信息
          type: object
          properties:
            message:
              type: string
            code:
              type: string
          required:
            - message
            - code
          additionalProperties: false
          nullable: true
        created_at:
          type: number
          description: 创建时间
        updated_at:
          type: number
          description: 更新时间
        content:
          description: 视频内容
          type: object
          properties:
            video_url:
              type: string
            last_frame_url:
              type: string
          additionalProperties: false
        seed:
          description: 种子值
          type: number
        resolution:
          description: 分辨率
          type: string
        ratio:
          description: 宽高比
          type: string
        duration:
          description: 时长
          type: number
        framespersecond:
          description: 帧率
          type: number
        usage:
          description: 使用量统计
          type: object
          properties:
            completion_tokens:
              type: number
            total_tokens:
              type: number
            tool_usage:
              type: object
              properties:
                web_search:
                  type: number
              additionalProperties: false
          additionalProperties: false
        generate_audio:
          type: boolean
          description: 是否包含同步音频
        tools:
          type: array
          description: 本次请求模型实际使用的工具
          items:
            type: object
            properties:
              type:
                type: string
                description: 实际使用的工具类型
            required:
              - type
            additionalProperties: false
        safety_identifier:
          type: string
          description: 终端用户标识（原样回显）
        priority:
          type: number
          description: 任务执行优先级
        execution_expires_after:
          type: number
          description: 任务超时阈值（秒）
      required:
        - id
        - model
        - status
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    apikey-header-Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        传入从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。示例：Bearer
        xxx。

````